###################################################
### chunk number 1: 
###################################################
#line 57 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
rm(list=ls())


###################################################
### chunk number 2: 
###################################################
#line 96 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
library(abc)


###################################################
### chunk number 3:  eval=FALSE
###################################################
## #line 102 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
## help(package="abc")
## help(abc)


###################################################
### chunk number 4:  eval=FALSE
###################################################
## #line 112 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
## example(abc)


###################################################
### chunk number 5: 
###################################################
#line 344 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
library(abc)
data(musigma2)


###################################################
### chunk number 6: 
###################################################
#line 380 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
data(human)
stat.voight


###################################################
### chunk number 7: ssplot
###################################################
#line 428 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
par(mfcol = c(1,3), mar=c(5,3,4,.5))
boxplot(stat.3pops.sim[,"pi"]~models, main="Mean nucleotide diversity")
boxplot(stat.3pops.sim[,"TajD.m"]~models, main="Mean Tajima's D")
boxplot(stat.3pops.sim[,"TajD.v"]~models, main="Var in Tajima's D")


###################################################
### chunk number 8: ss
###################################################
#line 438 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
#line 428 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw#from line#438#"
par(mfcol = c(1,3), mar=c(5,3,4,.5))
boxplot(stat.3pops.sim[,"pi"]~models, main="Mean nucleotide diversity")
boxplot(stat.3pops.sim[,"TajD.m"]~models, main="Mean Tajima's D")
boxplot(stat.3pops.sim[,"TajD.v"]~models, main="Var in Tajima's D")
#line 439 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"


###################################################
### chunk number 9: modsel
###################################################
#line 459 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
cv.modsel <- cv4postpr(models, stat.3pops.sim, nval=50, tol=.01, method="mnlogistic")
s <- summary(cv.modsel)


###################################################
### chunk number 10: cv4postprplot
###################################################
#line 465 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
plot(cv.modsel, names.arg=c("Bottleneck", "Constant", "Exponential"))


###################################################
### chunk number 11: cv4postpr
###################################################
#line 472 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
#line 465 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw#from line#472#"
plot(cv.modsel, names.arg=c("Bottleneck", "Constant", "Exponential"))
#line 473 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"


###################################################
### chunk number 12: 
###################################################
#line 482 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
mytotal <- length(cv.modsel$cvsamples)/length(unique(models))
myexp <- s$conf.matrix$tol0.01[3,3]
misclasstot <- 1-(sum(s$conf.matrix$tol0.01[1,1],s$conf.matrix$tol0.01[2,2],s$conf.matrix$tol0.01[3,3])/sum(s$conf.matrix$tol0.01))


###################################################
### chunk number 13: 
###################################################
#line 507 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
modsel.ha <- postpr(stat.voight["hausa",], models, stat.3pops.sim, tol=.05, method="mnlogistic")
modsel.it <- postpr(stat.voight["italian",], models, stat.3pops.sim, tol=.05, method="mnlogistic")
modsel.ch <- postpr(stat.voight["chinese",], models, stat.3pops.sim, tol=.05, method="mnlogistic")
summary(modsel.ha)
summary(modsel.it)
summary(modsel.ch)


###################################################
### chunk number 14: ppcplot
###################################################
#line 545 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
data(ppc)
mylabels <- c("Mean nucleotide diversity","Mean Tajima's D", "Var Tajima's D")
par(mfrow = c(1,3), mar=c(5,2,4,0))
for (i in c(1:3)){
    hist(post.bott[,i],breaks=40, xlab=mylabels[i], main="")
    abline(v = stat.voight["italian", i], col = 2)
}


###################################################
### chunk number 15: ppc
###################################################
#line 557 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
#line 545 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw#from line#557#"
data(ppc)
mylabels <- c("Mean nucleotide diversity","Mean Tajima's D", "Var Tajima's D")
par(mfrow = c(1,3), mar=c(5,2,4,0))
for (i in c(1:3)){
    hist(post.bott[,i],breaks=40, xlab=mylabels[i], main="")
    abline(v = stat.voight["italian", i], col = 2)
}
#line 558 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"


###################################################
### chunk number 16: 
###################################################
#line 591 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
stat.italy.sim <- subset(stat.3pops.sim, subset=models=="bott")
head(stat.italy.sim)


###################################################
### chunk number 17: 
###################################################
#line 603 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
head(par.italy.sim)


###################################################
### chunk number 18: 
###################################################
#line 619 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
cv.res.rej <- cv4abc(data.frame(Na=par.italy.sim[,"Ne"]), stat.italy.sim, nval=200, tols=c(.005,.01, 0.05), method="rejection")
cv.res.reg <- cv4abc(data.frame(Na=par.italy.sim[,"Ne"]), stat.italy.sim, nval=200, tols=c(.005,.01, 0.05), method="loclinear")
summary(cv.res.rej)
summary(cv.res.reg)


###################################################
### chunk number 19: cv4abcplot
###################################################
#line 629 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
par(mfrow=c(1,2), mar=c(5,3,4,.5), cex=.8)
plot(cv.res.rej, caption="Rejection")
plot(cv.res.reg, caption="Local linear regression")


###################################################
### chunk number 20: cv4abc
###################################################
#line 637 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
#line 629 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw#from line#637#"
par(mfrow=c(1,2), mar=c(5,3,4,.5), cex=.8)
plot(cv.res.rej, caption="Rejection")
plot(cv.res.reg, caption="Local linear regression")
#line 638 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"


###################################################
### chunk number 21: 
###################################################
#line 670 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
res <- abc(target=stat.voight["italian",], param=data.frame(Na=par.italy.sim[, "Ne"]), sumstat=stat.italy.sim, tol=0.05, transf=c("log"), method="neuralnet")
res


###################################################
### chunk number 22: 
###################################################
#line 683 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
summary(res)


###################################################
### chunk number 23: abchistplot
###################################################
#line 691 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
hist(res)


###################################################
### chunk number 24: abchist
###################################################
#line 698 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
#line 691 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw#from line#698#"
hist(res)
#line 699 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"


###################################################
### chunk number 25: abcplot
###################################################
#line 710 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
par(cex=.8)
plot(res, param=par.italy.sim[, "Ne"])


###################################################
### chunk number 26: abc
###################################################
#line 718 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"
#line 710 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw#from line#718#"
par(cex=.8)
plot(res, param=par.italy.sim[, "Ne"])
#line 719 "d:/Rcompile/CRANpkg/local/2.12/abc/inst/doc/abcvignette.Rnw"


